Package org.eclipse.equinox.p2.metadata

## Interface IRequirementChange

    public interface IRequirementChange

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.equinox.internal.p2.metadata.IRequiredCapability` `applyOn()`
`boolean` `equals​(Object other)` Returns whether this requirement change is equal to the given object.
`boolean` `matches​(org.eclipse.equinox.internal.p2.metadata.IRequiredCapability toMatch)`
`org.eclipse.equinox.internal.p2.metadata.IRequiredCapability` `newValue()`

### Method Detail

#### applyOn

    org.eclipse.equinox.internal.p2.metadata.IRequiredCapability applyOn()

Since:
  2.0
Restriction:
  This method is not intended to be referenced by clients.

#### newValue

    org.eclipse.equinox.internal.p2.metadata.IRequiredCapability newValue()

Since:
  2.0
Restriction:
  This method is not intended to be referenced by clients.

#### matches

    boolean matches​(org.eclipse.equinox.internal.p2.metadata.IRequiredCapability toMatch)

Since:
  2.0
Restriction:
  This method is not intended to be referenced by clients.

#### equals

    boolean equals​(Object other)

Returns whether this requirement change is equal to the given object. This method returns true if:

- Both this object and the given object are of type IRequiredCapability
- The result of applyOn() on both objects are equal
- The result of newValue() on both objects are equal

Overrides:
  `equals` in class `Object`
Since:
  2.0
Restriction:
  This method is not intended to be referenced by clients.